Page MenuHomePhabricator

Make a Herald rule add all #VisualEditor-* tasks to #VisualEditor
Closed, ResolvedPublic

Description

This would be hugely appreciated.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a project: Phabricator.
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Qgil triaged this task as Medium priority.Dec 8 2014, 7:11 AM
Qgil moved this task from To Triage to Ready to Go on the Phabricator board.
Qgil added a subscriber: Qgil.
Qgil awarded a token.Dec 12 2014, 9:40 AM
Qgil added a comment.Dec 15 2014, 8:25 PM

If the Phabricator team would be included in the Herald policy, I could help you. @Aklapper, your choice. :)

Aklapper claimed this task.Dec 15 2014, 9:49 PM

Summarizing to check I get this right before executing:

So whenever a task's projects include any of

  • VisualEditor-ContentEditable
  • VisualEditor-ContentLanguage
  • VisualEditor-CopyPaste
  • VisualEditor-DataModel
  • VisualEditor-EditingTools
  • VisualEditor-Initialisation
  • VisualEditor-InterfaceLanguage
  • VisualEditor-MediaWiki
  • VisualEditor-MediaWiki-Links
  • VisualEditor-MediaWiki-Media
  • VisualEditor-MediaWiki-Mobile
  • VisualEditor-MediaWiki-References
  • VisualEditor-MediaWiki-Templates
  • VisualEditor-Performance
  • VisualEditor-Tables

automatically add project "VisualEditor"?

Note there are two options: Take this actions every time or only the first time this rule matches. I guess you want everytime.
Also note that whenever you create a new VE-* project the rule needs to be adjusted. It's not possible to define some placeholders like * for parts of project names like "begins with the string".

In T76954#848827, @Qgil wrote:

If the Phabricator team would be included in the Herald policy, I could help you. @Aklapper, your choice. :)

I think that makes sense, still would like to discuss with the team first due to security implications.

Summarizing to check I get this right before executing:

So whenever a task's projects include any of

  • VisualEditor-ContentEditable
  • VisualEditor-ContentLanguage
  • VisualEditor-CopyPaste
  • VisualEditor-DataModel
  • VisualEditor-EditingTools
  • VisualEditor-Initialisation
  • VisualEditor-InterfaceLanguage
  • VisualEditor-MediaWiki
  • VisualEditor-MediaWiki-Links
  • VisualEditor-MediaWiki-Media
  • VisualEditor-MediaWiki-Mobile
  • VisualEditor-MediaWiki-References
  • VisualEditor-MediaWiki-Templates
  • VisualEditor-Performance
  • VisualEditor-Tables

automatically add project "VisualEditor"?

Yes.

Note there are two options: Take this actions every time or only the first time this rule matches. I guess you want everytime.

I think that would make sense, yes.

Also note that whenever you create a new VE-* project the rule needs to be adjusted. It's not possible to define some placeholders like * for parts of project names like "begins with the string".

Yeah, I guessed as much.

Aklapper closed this task as Resolved.Dec 15 2014, 10:13 PM

Herald rule H10 created.

Danny_B moved this task from Ready to Go to Herald rules on the Phabricator board.Jul 12 2016, 1:15 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 12 2016, 1:15 PM